'
' According to the Gregorian calendar, which is the civil calendar 
' in use today, years evenly divisible by 4 are leap years, with 
' the exception of centurial years that are not evenly divisible 
' by 400. Therefore, the years 1700, 1800, 1900 and 2100 are not 
' leap years, but 1600, 2000, and 2400 are leap years. 
'
'
' In other words, years that are evenly divisible by 4 are leap 
' years unless they are centurial years that are NOT evenly 
' divisible by 400.
'
' This program introduces the MOD function. The MOD function returns
' the remainder of an integer division. This will be usefull in determining
' if a year is evenly divisible by 4. 

' For example (2000 MOD 4) yields 0 so 2000 could be a leap year.
' Where (2002 MOD 4) yields 2 so it is not a leap year.
'


Public Class frmLeapYear

    Private Sub btnGo_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnGo.Click
        Dim Number As Integer
        Dim Divisor As Integer

        Number = CInt(txtNum1.Text)
        Divisor = CInt(txtNum2.Text)
        txtResult.Text = CStr(Number Mod Divisor)


    End Sub

    Private Sub btnClear_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnClear.Click
        lstResults.Items.Clear()
    End Sub

    Private Sub btnQuit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnQuit.Click
        End
    End Sub
End Class
